{"openapi":"3.0.0","servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/scottdeuser/1st-Party-Cash-Journals/1.0.0"}],"info":{"description":"API to request and manage cash journals between accounts with like registration","version":"1.0.0","title":"1st-Party Cash Journals","contact":{"email":"you@your-company.com"},"license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"}},"tags":[{"name":"developers","description":"Operations available to regular developers"}],"paths":{"/1st-party-journals/":{"post":{"tags":["developers"],"summary":"creates a 1st-party cash journal request","operationId":"1stPartyJournals","description":"creates a 1st-party cash journal request","responses":{"200":{"description":"accepted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/1stPartyResponseStruct"}}}},"400":{"description":"bad input parameter"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/1stPartyRequestStruct"}}}}}}},"components":{"schemas":{"1stPartyResponseStruct":{"type":"object","properties":{"id":{"type":"string","example":"SEN-20201013000000001"},"type":{"$ref":"#/components/schemas/1stPartyRequestStruct"}}},"1stPartyRequestStruct":{"type":"object","properties":{"externalId":{"type":"string","example":"abcdef0123456789"},"fromAccount":{"type":"string","example":"9YY00001"},"toAccount":{"type":"string","example":"9YY00002","description":"must have at least the same owners as the 'fromAccount'"},"amount":{"type":"number","example":10.0},"iraDistributionDetails":{"type":"object","$ref":"#/components/schemas/iraDistributionDetailsStruct"},"iraContributionDetails":{"type":"object","$ref":"#/components/schemas/iraContributionDetailsStruct"}}},"iraDistributionDetailsStruct":{"type":"object","properties":{"distributionReason":{"type":"string","example":"TRANSFER"},"federalTaxWithholding":{"type":"object","$ref":"#/components/schemas/taxWithholdingStruct"},"stateTaxWithholding":{"type":"object","$ref":"#/components/schemas/taxWithholdingStruct"},"receivingInstitutionName":{"type":"string","example":"irs"}}},"taxWithholdingStruct":{"type":"object","required":["valueType","value"],"properties":{"valueType":{"type":"string","example":"FIXED"},"value":{"type":"number","example":0.1}}},"iraContributionDetailsStruct":{"type":"object","required":["type"],"properties":{"type":{"type":"string","example":"TRANSFER"},"applyToPriorYear":{"type":"boolean","example":true}}}}}}